Subject: bug#6941: 24.0.50; yank doesn't return latest kill

From: Chong Yidong <[email-masked]>
Date: Tue, 31 Aug 2010 13:57:44 -0400

Andreas Röhler <[email-masked]> writes:

> Unfortunatly it behaves different here.
>
> Get twofold
>
> ;; This buffer is for notes you don't want to save, and for Lisp evaluation.
> ;; This buffer is for notes you don't want to save, and for Lisp evaluation.
>
> instead, which is logically, as C-n after C-SPC activated the region.

It's not logical, since C-y only pastes yanks the clipboard or the
kill-ring; it no longer yanks the primary selection.  C-n after C-SPEC
actives the region, but that only sets the primary selection.

Either you are not running with `emacs -Q', or your repository is not up
to date for some reason, or something external to Emacs (maybe a
misbehaving selection manager?) is screwing up.